Bug 198884 - Review Request: perl-POE-Component-Client-Keepalive
Review Request: perl-POE-Component-Client-Keepalive
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 198880
Blocks: FE-ACCEPT 198885
  Show dependency treegraph
 
Reported: 2006-07-14 08:06 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-26 11:09:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-14 08:06:47 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Client-Keepalive.spec
SRPM URL:
http://home.comcast.net/~ckweyl/perl-POE-Component-Client-Keepalive-0.0801-0.fc5.src.rpm

Description: 
POE::Component::Client::Keepalive creates and manages connections for other
components. It maintains a cache of kept-alive connections for quick reuse. It
is written specifically for clients that can benefit from kept-alive
connections, such as HTTP clients. Using it for one-shot connections would
probably be silly.
Comment 2 Jason Tibbitts 2006-07-26 00:23:26 EDT
The only thing I have to say about this is that the build sat around for about
three minutes doing nothing, probably due to the test suite.  Everything passed
in the end so I don't see any problems.

* source files match upstream:
  79ea0242da708c7a8e190c00efdfccaf  POE-Component-Client-Keepalive-0.0801.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (BR: perl is unnecessary)
* Compiler flags are appropriate (noarch package so none passed)
* %clean is present.
* package builds in mock (development, x86_64).
* noarch package, so no debuginfo.
* rpmlint is silent.
* final provides and requires are sane:
   perl(POE::Component::Client::Keepalive) = 0.0801
   perl(POE::Component::Connection::Keepalive) = 60
   perl-POE-Component-Client-Keepalive = 0.0801-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Errno)
   perl(POE)
   perl(POE::Component::Client::DNS)
   perl(POE::Component::Connection::Keepalive)
   perl(POE::Wheel::ReadWrite)
   perl(POE::Wheel::SocketFactory)
   perl(bytes)
   perl(constant)
   perl(strict)
   perl(vars)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful.
   Files=15, Tests=88, 192 wallclock secs ( 2.58 cusr +  0.70 csys =  3.28 CPU)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 3 Chris Weyl 2006-07-26 11:09:35 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.